%%%---------------------------------------------------------------------%%%
%%%-----------------Plotting parameters from Mainscript-----------------%%%
%%%---------------------------------------------------------------------%%%

% Ploting simulated temperature, T_f, and simulated overall heat transfer
% coefficient, U_to.
% xlabels{1} = 'Temperature (F)';
% xlabels{2} = 'Overall Heat Transfer Coefficient (Btu/hr sq ft F)';
% ylabels{1} = 'Depth (ft)';
% ylabels{2} = 'Depth (ft)';
% plotxx(T_f,MD,U_to,MD,xlabels,ylabels)
% grid on

%Overall heat transfer coefficient
% figure
% P1=plot(U_to,MD);
% grid on
% xlabel('Overall heat transfer coefficient (Btu/hr sq fr F)')
% ylabel('Depth (ft)')
% ax=gca;
% ax.YDir = 'reverse';

% Plotting Geothermal temperature, Simulated temperature and Industry
% leading software temperature (ILS)
% figure
% P1=plot(T_f,MD);
% grid on
% hold on
% P2=plot(T_geo,MD);
% hold on
% P3=plot(T_f_wc,MD2);
% xlabel('Temperature (F)')
% ylabel('Depth (ft)')
% leg=legend(' \epsilon Simulated temperature of wellbore fluid','Undisturbed temperature', 'ILS simulated temperature of wellbore fluid', 'Org. simulated temperature of wellbore fluid')
% leg.Location = 'south west'
% ax=gca;
% ax.YDir = 'reverse';

%Temperature for differen emissivity's
% figure
% P1=plot(T_fe05,MD);
% grid on
% hold on
% P2=plot(T_fe06,MD);
% hold on
% P3=plot(T_fe07,MD);
% hold on
% P4=plot(T_fe08,MD);
% hold on
% P5=plot(T_fe09,MD);
% hold on
% P6=plot(T_fe1,MD);
% hold on
% P7=plot(T_f_wc,MD2);
% xlabel('Temperature (F)')
% ylabel('Depth (ft)')
% leg=legend('\epsilon = 0,5','\epsilon = 0,6','\epsilon = 0,7','\epsilon = 0,8','\epsilon = 0,9','\epsilon = 1','ILS Temperature')
% leg.Location = 'south west'
% ax=gca;
% ax.YDir = 'reverse';

%Temperature with different thermal  diffusivity of formation
% figure
% P1=plot(T_fa002,MD);
% grid on
% hold on
% P2=plot(T_fa003,MD);
% hold on
% P3=plot(T_fa004,MD);
% hold on
% P4=plot(T_fa005,MD);
% hold on
% P5=plot(T_fa006,MD);
% hold on
% P6=plot(T_f_wc,MD2);
% xlabel('Temperature (F)')
% ylabel('Depth (ft)')
% leg=legend('\alpha = 0,02','\alpha = 0,03','\alpha = 0,04','\alpha = 0,05','\alpha = 0,06','ILS Temperature')
% leg.Location = 'south west'
% ax=gca;
% ax.YDir = 'reverse';

%Temperature with different theat capasity of wellbore and annulus fluid.
% figure
% P1=plot(T_fcp0945,MD);
% grid on
% hold on
% P2=plot(T_fcp0948,MD);
% hold on
% P3=plot(T_fcp0951,MD);
% hold on
% P4=plot(T_fcp0953,MD);
% hold on
% P5=plot(T_fcp0955,MD);
% hold on
% P6=plot(T_fcp0958,MD);
% hold on
% P7=plot(T_fcp0960,MD);
% hold on
% P8=plot(T_fcp0963,MD);
% hold on
% P9=plot(T_fcp0965,MD);
% hold on
% P10=plot(T_fcp0967,MD);
% hold on
% P11=plot(T_wc,MD2);
% xlabel('Temperature (F)')
% ylabel('Depth (ft)')
% leg=legend('Cp = 0,946 Btu/lbm F','Cp = 0,948 Btu/lbm F','Cp = 0,951 Btu/lbm F','Cp = 0,953 Btu/lbm F','Cp = 0,955 Btu/lbm F','Cp = 0,958 Btu/lbm F','Cp = 0,960 Btu/lbm F','Cp = 0,963 Btu/lbm F','Cp = 0,965 Btu/lbm F','Cp = 0,967 Btu/lbm F','ILS Temperature')
% leg.Location = 'south west'
% ax=gca;
% ax.YDir = 'reverse';

% Temperature with different production times
% figure
% P1=plot(T_f1hr,MD);
% grid on
% hold on
% P2=plot(T_f12hr,MD);
% hold on
% P3=plot(T_f1d,MD);
% hold on
% P4=plot(T_f3d,MD);
% hold on
% P5=plot(T_f7d,MD);
% hold on
% P6=plot(T_f10d,MD);
% hold on
% P7=plot(T_f50d,MD);
% hold on
% P8=plot(T_f100d,MD);
% hold on
% P9=plot(T_f200d,MD);
% hold on
% P10=plot(T_f300d,MD);
% hold on
% P11=plot(T_f400d,MD);
% hold on
% P12=plot(T_f500d,MD);
% hold on
% P13=plot(T_f1000d,MD);
% hold on
% P14=plot(T_f2000d,MD);
% xlabel('Temperature (F)')
% ylabel('Depth (ft)')
% leg=legend('t = 1 hour','t = 12 hours','t = 1 day','t = 3 days','t = 7 days','t = 10 days','t = 50 days','t = 100 days','t = 200 days','t = 300 days','t = 400 days','t = 500 days','t = 1000 days','t = 2000 days','ILS Temperature')
% leg.Location = 'south west'
% ax=gca;
% ax.YDir = 'revers';

%Production time, Ramey vs Hasan and Kabir
%hour(s)/day(s)
% figure
% P1=plot(T_f100d,MD);
% grid on
% hold on
% P2=plot(T_f100dR,MD);
% xlabel('Temperature (F)')
% ylabel('Depth (ft)')
% leg=legend('H&K, t = 100 days','Ramey, t = 100 days')
% leg.Location = 'south west'
% ax=gca;
% ax.YDir = 'reverse';

%Temperature; with different mas rates
% figure
% P1=plot(T_fw10,MD);
% grid on
% hold on
% P2=plot(T_fw25,MD);
% hold on
% P3=plot(T_fw50,MD);
% hold on
% P4=plot(T_fw100,MD);
% hold on
% P5=plot(T_fw150,MD);
% hold on
% P6=plot(T_fw200,MD);
% hold on
% P7=plot(T_fw250,MD);
% xlabel('Temperature (F)')
% ylabel('Depth (ft)')
% leg=legend('W = 10 lbm/sec','W = 25 lbm/sec','W = 50 lbm/sec','W = 100 lbm/sec','W = 150 lbm/sec','W = 200 lbm/sec','W = 250 lbm/sec')
% leg.Location = 'south west'
% ax=gca;
% ax.YDir = 'reverse';

%Temperature comparison; Original, neglecting thermal conductivity in tubing and
%casing, IPC.
% P1=plot(T_f_org,MD);
% grid on
% hold on
% P2=plot(T_f_ass,MD);
% hold on
% P3=plot(T_wc,MD2);
% xlabel('Temperature (F)')
% ylabel('Depth (ft)')
% leg=legend('Orginial Case','Neglecting Thermal Conductivity in Tubing/Casing', 'ILS Temperature')
% leg.Location = 'south west'
% ax=gca;
% ax.YDir = 'reverse';

% Temperature of fluid and cement/formation interface
% P1=plot(T_f_org,MD);
% grid on
% hold on
% P2=plot(T_wb,MD);
% xlabel('Temperature (F)')
% ylabel('Depth (ft)')
% leg=legend('Orginial Case','Neglecting Thermal Conductivity in Tubing/Casing', 'ILS Temperature')
% leg.Location = 'south west'
% ax=gca;
% ax.YDir = 'reverse';

%Plotting the axial forces due to temperature difference.
% figure
% P1=plot(F_ML,MD)
% grid on
% hold on
% P2=plot(F_SC,MD);
% hold on
% P3=plot(F_WC,MD2);
% xlabel('Axial force due to temperature (lbf)')
% ylabel('Depth (ft)')
% leg=legend('Axial force - temperature from simulation model','Axial force - temperature from conventional software', 'Axial force - temperature from HP/HT software')
% leg.Location = 'south west'
% ax=gca;
% ax.YDir = 'reverse';

%Temperature; with different geothermal gradients
% figure
% P1=plot(T_f001296,MD);
% grid on
% hold on
% P2=plot(T_f001368,MD);
% hold on
% P3=plot(T_f00144,MD);
% hold on
% P4=plot(T_f001512,MD);
% hold on
% P5=plot(T_f001584,MD);
% xlabel('Temperature (F)')
% ylabel('Depth (ft)')
% leg=legend('G.grad. = 1,30 F/100ft','G.grad. = 1,37 F/100ft','G.grad. = 1,44 F/100ft','G.grad. = 1,51 F/100ft','G.grad. = 1,58 F/100ft')
% leg.Location = 'south west'
% ax=gca;
% ax.YDir = 'reverse';




figuresize(15.5,15.5/3*2,'centimeters')
%print(gcf,'-depsc2','filename.eps')